For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update handling trigger details

Update handling trigger details

Required permissions: HANDLING

put
/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
handlingTriggerUidstringRequired

Reference to a handlingTriggerUid

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringOptional
handlingTriggerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
204

Example response

application/json
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATESet expiry date on order
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringRequired
handlingTriggerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
PUT /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}
204

Example response

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}

Last updated

Was this helpful?